SELECT
	accounts.email,
	aa.account_action_type,
	aa.account_action_id,
	ac.column_name as param,
	date_trunc('second', aa.timestamp) as timestamp,
	ac.old_value,
	ac.new_value,
	admins.username,
	admins.fullname
FROM
	account_changes ac
	JOIN accounts USING(account_id)
	JOIN account_actions aa USING(account_id, account_action_id)
	JOIN tokens USING (token_id)
	JOIN admins USING (admin_id)
WHERE
	<%(!?timestamp_from && !?timestamp_to)
		aa.timestamp > CURRENT_DATE + CURRENT_TIME - Interval '1 day'
	::
		aa.timestamp BETWEEN '<%%timestamp_from%>' AND '<%%timestamp_to%>'
	%>
	AND aa.account_action_type IN ('add_pro_category_param', 'remove_pro_category_param')
ORDER BY aa.timestamp DESC, accounts.email, aa.account_action_id;
